Bug 517155 - Review Request: ghc-OpenGL - bindings to the C OpenGL library
Review Request: ghc-OpenGL - bindings to the C OpenGL library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yaakov Nemoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 517197
  Show dependency treegraph
 
Reported: 2009-08-12 14:55 EDT by Bryan O'Sullivan
Modified: 2010-10-05 09:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.2.1.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-31 19:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
loupgaroublond: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2009-08-12 14:55:52 EDT
Spec: http://www.serpentine.com/bos/files/ghc-OpenGL.spec
SRPM: http://www.serpentine.com/bos/files/ghc-OpenGL-2.2.1.1-1.fc11.src.rpm
Description:
This package provides the Haskell OpenGL library for ghc.
These provide bindings to the OpenGL graphics library.
Comment 1 Yaakov Nemoy 2009-08-20 06:43:21 EDT
I'm getting the same checksum errors here. This is a bit odd.
Comment 2 Bryan O'Sullivan 2009-08-20 14:08:23 EDT
Updated SRPM now uploaded. Sorry for the inconvenience!
Comment 3 Yaakov Nemoy 2009-08-23 11:51:16 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
[yankee@koan ghc-OpenGL]$ rpmlint -iv *rpm *spec
ghc-OpenGL.src: I: checking                     
ghc-OpenGL-devel.i586: I: checking              
ghc-OpenGL-devel.ppc: I: checking               
ghc-OpenGL-devel.x86_64: I: checking            
ghc-OpenGL-doc.i586: I: checking                
ghc-OpenGL-doc.i586: E: description-line-too-long This package contains development documentation files for the ghc-OpenGL library.                                                                                           
Your description lines must not exceed 79 characters. If a line is exceeding                                   
this number, cut it to fit in two lines.                                                                       

ghc-OpenGL-doc.ppc: I: checking
ghc-OpenGL-doc.ppc: E: description-line-too-long This package contains development documentation files for the ghc-OpenGL library.                                                                                            
Your description lines must not exceed 79 characters. If a line is exceeding                                   
this number, cut it to fit in two lines.                                                                       

ghc-OpenGL-doc.x86_64: I: checking
ghc-OpenGL-doc.x86_64: E: description-line-too-long This package contains development documentation files for the ghc-OpenGL library.                                                                                         
Your description lines must not exceed 79 characters. If a line is exceeding                                   
this number, cut it to fit in two lines.                                                                       

ghc-OpenGL-prof.i586: I: checking
ghc-OpenGL-prof.i586: E: devel-dependency ghc-OpenGL-devel
Your package has a dependency on a devel package but it's not a devel package
itself.                                                                      

ghc-OpenGL-prof.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.                                                         

ghc-OpenGL-prof.i586: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.3/OpenGL-2.2.1.1/libHSOpenGL-2.2.1.1_p.a                                                                                                           
A development file (usually source code) is located in a non-devel package. If                                 
you want to include source code in your package, be sure to create a                                           
development package.                                                                                           

ghc-OpenGL-prof.ppc: I: checking
ghc-OpenGL-prof.ppc: E: devel-dependency ghc-OpenGL-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-OpenGL-prof.ppc: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-OpenGL-prof.ppc: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.3/OpenGL-2.2.1.1/libHSOpenGL-2.2.1.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-OpenGL-prof.x86_64: I: checking
ghc-OpenGL-prof.x86_64: E: devel-dependency ghc-OpenGL-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-OpenGL-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-OpenGL-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.3/OpenGL-2.2.1.1/libHSOpenGL-2.2.1.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

10 packages and 1 specfiles checked; 6 errors, 6 warnings.

CHEKC -- All acceptable within the realm of haskell packages

MUST: The package must be named according to the Package Naming Guidelines .
>>CHECK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
>>CHECK

MUST: The package must meet the Packaging Guidelines .
>>CHECK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
>>CHECK

MUST: The License field in the package spec file must match the actual license. [3]
>>CHECK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
>>CHECK

MUST: The spec file must be written in American English. [5]
>>CHECK

MUST: The spec file for the package MUST be legible. [6]
>>CHECK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
>>CHECK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
>>CHECK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
>>CHECK

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
>>CHECK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
>>CHECK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
>>CHECK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
>>CHECK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
>>CHECK

MUST: Each package must consistently use macros. [16]
>>CHECK

MUST: The package must contain code, or permissable content. [17]
>>CHECK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
>>CHECK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
>>CHECK

MUST: Header files must be in a -devel package. [19]
>>CHECK

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
>>CHECK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
>>CHECK

MUST: All filenames in rpm packages must be valid UTF-8. [26]
>>CHECK

SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

SHOULD: The reviewer should test that the package builds in mock. [29]
>>CHECK

SHOULD: The package should compile and build into binary rpms on all supported architectures. [30]
>>CHECK

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
>>CHECK

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [22]
>>CHECK

Resolution: PASS
Comment 4 Yaakov Nemoy 2009-08-23 11:51:44 EDT
Btw, please do this one soon, so we can get to the packages that depend on this, like GLUT.
Comment 5 Bryan O'Sullivan 2009-08-26 00:22:22 EDT
Will do.
Comment 6 Bryan O'Sullivan 2009-08-26 00:27:35 EDT
New Package CVS Request
=======================
Package Name: ghc-OpenGL
Short Description: bindings to the C OpenGL library
Owners: bos petersen ynemoy
Branches: F-11 F-12
InitialCC: haskell-sig
Comment 7 Kevin Fenzi 2009-08-26 18:20:48 EDT
cvs done (except we aren't doing F-12 branches yet).
Comment 8 Fedora Update System 2009-08-27 16:05:24 EDT
ghc-OpenGL-2.2.1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-OpenGL-2.2.1.1-1.fc11
Comment 9 Fedora Update System 2009-08-28 18:00:22 EDT
ghc-OpenGL-2.2.1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-OpenGL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9108
Comment 10 Fedora Update System 2009-08-31 19:42:28 EDT
ghc-OpenGL-2.2.1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2010-10-05 00:42:27 EDT
Package Change Request
======================
Package Name: ghc-OpenGL
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig
Comment 12 Jason Tibbitts 2010-10-05 09:22:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.